Loading...
Searching...
No Matches
ON_MaterialRef Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_mapchan.h>`

## Public Member Functions

| ON_MaterialRef ()
void | Default ()
int | Compare (const ON_MaterialRef &other) const
bool | Write (ON_BinaryArchive &archive) const
bool | Read (ON_BinaryArchive &archive)
ON::object_material_source | MaterialSource () const

## Public Attributes

ON_UUID | m_plugin_id
ON_UUID | m_material_id
ON_UUID | m_material_backface_id
unsigned char | m_material_source
unsigned char | m_reserved1
unsigned char | m_reserved2
unsigned char | m_reserved3
int | m_material_index
int | m_material_backface_index

## Detailed Description

Definition at line 177 of file opennurbs_mapchan.h.

## Constructor & Destructor Documentation

## ON_MaterialRef()

ON_MaterialRef::ON_MaterialRef | ( |  | ) |

Referenced by Compare().

## Member Function Documentation

## Compare()

int ON_MaterialRef::Compare | ( | const ON_MaterialRef & | other | ) | const

References ON_MaterialRef().

## Default()

void ON_MaterialRef::Default | ( |  | ) |

## MaterialSource()

ON::object_material_source ON_MaterialRef::MaterialSource | ( |  | ) | const

## Read()

bool ON_MaterialRef::Read | ( | ON_BinaryArchive & | archive | ) |

## Write()

bool ON_MaterialRef::Write | ( | ON_BinaryArchive & | archive | ) | const

## Member Data Documentation

## m_material_backface_id

ON_UUID ON_MaterialRef::m_material_backface_id

Definition at line 201 of file opennurbs_mapchan.h.

## m_material_backface_index

int ON_MaterialRef::m_material_backface_index

Definition at line 217 of file opennurbs_mapchan.h.

## m_material_id

ON_UUID ON_MaterialRef::m_material_id

Definition at line 198 of file opennurbs_mapchan.h.

## m_material_index

int ON_MaterialRef::m_material_index

Definition at line 212 of file opennurbs_mapchan.h.

## m_material_source

unsigned char ON_MaterialRef::m_material_source

Definition at line 204 of file opennurbs_mapchan.h.

## m_plugin_id

ON_UUID ON_MaterialRef::m_plugin_id

Definition at line 196 of file opennurbs_mapchan.h.

## m_reserved1

unsigned char ON_MaterialRef::m_reserved1

Definition at line 205 of file opennurbs_mapchan.h.

## m_reserved2

unsigned char ON_MaterialRef::m_reserved2

Definition at line 206 of file opennurbs_mapchan.h.

## m_reserved3

unsigned char ON_MaterialRef::m_reserved3

Definition at line 207 of file opennurbs_mapchan.h.

The documentation for this class was generated from the following file:

- pcl/surface/3rdparty/opennurbs/opennurbs_mapchan.h